YUI AS Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class BaseAxis

Package | com.yahoo.astra.fl.charts.axes
Class | public class BaseAxis
Inheritance | BaseAxis flash.events.EventDispatcher
Subclasses | CategoryAxis, NumericAxis, TimeAxis

Implements some of the most common axis functionality to prevent duplicate code in IAxis implementations.

This class is not meant to be instantiated directly! It is an abstract base class.

Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : IChart The chart in which this axis appears. | BaseAxis
|  | dataProvider : Array Data provider for the axis | BaseAxis
|  | height : Number Total height of axis | BaseAxis
|  | labelData : AxisLabelData Maximum dimensions of axis labels | BaseAxis
|  | labelFunction : Function A function may be set to determine the text value of the labels. | BaseAxis
|  | labelSpacing : Number The space, in pixels, between labels on an axis. | BaseAxis
|  | maxLabel : String Gets or sets the largest possible label. | BaseAxis
|  | maxLabelHeight : Number Gets or sets the maximum height of a label | BaseAxis
|  | maxLabelWidth : Number Gets or sets the maximum width of a label | BaseAxis
|  | order : String = "primary" | BaseAxis
|  | position : String Position of axis in relation to the chart | BaseAxis
|  | renderer : IAxisRenderer The visual renderer applied to this axis. | BaseAxis
|  | reverse : Boolean Sets the direction of the labels and other visual objects along the axis. | BaseAxis
|  | title : String The text that will appear next to the axis to indicate information about the data that it displays. | BaseAxis
|  | width : Number Total width of axis | BaseAxis

Public Methods

| Method | Defined by
--- | --- | ---
|  | BaseAxis() Constructor. | BaseAxis
|  | getMaxLabel():String | BaseAxis
|  | valueToLabel(value:Object):String Converts a value on the axis to formatted label text. | BaseAxis

Property detail

chart | property

`chart:IChart` [read-write]

The chart in which this axis appears.

Implementation
`public function get chart():IChart`
`public function set chart(value:IChart):void`

dataProvider | property |

`dataProvider:Array` [read-write]

Data provider for the axis

Implementation
`public function get dataProvider():Array`
`public function set dataProvider(value:Array):void`

height | property |

`height:Number` [read-write]

Total height of axis

Implementation
`public function get height():Number`
`public function set height(value:Number):void`

labelData | property |

`labelData:AxisLabelData` [read-write]

Maximum dimensions of axis labels

Implementation
`public function get labelData():AxisLabelData`
`public function set labelData(value:AxisLabelData):void`

labelFunction | property |

`labelFunction:Function` [read-write]

A function may be set to determine the text value of the labels.

    function labelFunction(value:Object):String

Implementation
`public function get labelFunction():Function`
`public function set labelFunction(value:Function):void`

labelSpacing | property |

`labelSpacing:Number` [read-write]

The space, in pixels, between labels on an axis.

Implementation
`public function get labelSpacing():Number`
`public function set labelSpacing(value:Number):void`

maxLabel | property |

`maxLabel:String` [read-write]

Gets or sets the largest possible label.

Implementation
`public function get maxLabel():String`
`public function set maxLabel(value:String):void`

maxLabelHeight | property |

`maxLabelHeight:Number` [read-write]

Gets or sets the maximum height of a label

Implementation
`public function get maxLabelHeight():Number`
`public function set maxLabelHeight(value:Number):void`

maxLabelWidth | property |

`maxLabelWidth:Number` [read-write]

Gets or sets the maximum width of a label

Implementation
`public function get maxLabelWidth():Number`
`public function set maxLabelWidth(value:Number):void`

order | property |

`public var order:String = "primary"`

position | property |

`position:String` [read-write]

Position of axis in relation to the chart

Implementation
`public function get position():String`
`public function set position(value:String):void`

renderer | property |

`renderer:IAxisRenderer` [read-write]

The visual renderer applied to this axis.

Implementation
`public function get renderer():IAxisRenderer`
`public function set renderer(value:IAxisRenderer):void`

reverse | property |

`reverse:Boolean` [read-write]

Sets the direction of the labels and other visual objects along the axis. By default, vertical axes draw objects from bottom to top, and horizontal axes draw objects from left to right.

Implementation
`public function get reverse():Boolean`
`public function set reverse(value:Boolean):void`

title | property |

`title:String` [read-write]

The text that will appear next to the axis to indicate information about the data that it displays.

Implementation
`public function get title():String`
`public function set title(value:String):void`

width | property |

`width:Number` [read-write]

Total width of axis

Implementation
`public function get width():Number`
`public function set width(value:Number):void`
Constructor detail

BaseAxis | () | constructor

`public function BaseAxis()`

Constructor.

Method detail

getMaxLabel | () | method

`public function getMaxLabel():String`

Returns

| `String`

valueToLabel | () | method |

`public function valueToLabel(value:Object):String`

Converts a value on the axis to formatted label text.

Parameters

| `value:Object` — the value of the item for which a label is needed

Returns

| `String` — the formatted label text